<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-ordine-heading" jhiTranslate="shoppingonlineApp.ordine.home.createOrEditLabel">Create or edit a Ordine</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.ordine.stato" for="field_stato">Stato</label>
                    <input type="text" class="form-control" name="stato" id="field_stato"
                           formControlName="stato"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.ordine.numero" for="field_numero">Numero</label>
                    <input type="number" class="form-control" name="numero" id="field_numero"
                           formControlName="numero"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.ordine.data" for="field_data">Data</label>
                    <div class="input-group">
                        <input id="field_data" type="text" class="form-control" name="data" ngbDatepicker #dataDp="ngbDatepicker" formControlName="data"/>
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="dataDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
                        </span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.ordine.pagamento" for="field_pagamento">Pagamento</label>
                    <select class="form-control" id="field_pagamento" name="pagamento" formControlName="pagamento">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="pagamentoOption.id === editForm.get('pagamento')!.value?.id ? editForm.get('pagamento')!.value : pagamentoOption" *ngFor="let pagamentoOption of pagamentos; trackBy: trackById">{{ pagamentoOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.ordine.spedizione" for="field_spedizione">Spedizione</label>
                    <select class="form-control" id="field_spedizione" name="spedizione" formControlName="spedizione">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="spedizioneOption.id === editForm.get('spedizione')!.value?.id ? editForm.get('spedizione')!.value : spedizioneOption" *ngFor="let spedizioneOption of spediziones; trackBy: trackById">{{ spedizioneOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.ordine.fattura" for="field_fattura">Fattura</label>
                    <select class="form-control" id="field_fattura" name="fattura" formControlName="fattura">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="fatturaOption.id === editForm.get('fattura')!.value?.id ? editForm.get('fattura')!.value : fatturaOption" *ngFor="let fatturaOption of fatturas; trackBy: trackById">{{ fatturaOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.ordine.computer" for="field_computer">Computer</label>
                    <select class="form-control" id="field_computer" name="computer" formControlName="computer">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="computerOption.id === editForm.get('computer')!.value?.id ? editForm.get('computer')!.value : computerOption" *ngFor="let computerOption of computers; trackBy: trackById">{{ computerOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.ordine.commessa" for="field_commessa">Commessa</label>
                    <select class="form-control" id="field_commessa" name="commessa" formControlName="commessa">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="commessaOption.id === editForm.get('commessa')!.value?.id ? editForm.get('commessa')!.value : commessaOption" *ngFor="let commessaOption of commessas; trackBy: trackById">{{ commessaOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.ordine.cliente" for="field_cliente">Cliente</label>
                    <select class="form-control" id="field_cliente" name="cliente" formControlName="cliente">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="clienteOption.id === editForm.get('cliente')!.value?.id ? editForm.get('cliente')!.value : clienteOption" *ngFor="let clienteOption of clientes; trackBy: trackById">{{ clienteOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
